#
# spec file for package gnome-schedule
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-schedule
Version:        2.3.0
Release:        2.2
Summary:        Graphical interface to leverage the power of cron
License:        GPL-2.0+
Group:          System/GUI/GNOME
Url:            http://gnome-schedule.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/gnome-schedule/gnome-schedule-2/gnome-schedule-2-3-0/%{name}-%{version}.tar.gz
# Their presence is checked at build-time
BuildRequires:  at
BuildRequires:  cronie
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  intltool
BuildRequires:  python-gconf
BuildRequires:  rarian-scrollkeeper-compat
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(pygtk-2.0)
Recommends:     %{name}-lang
Requires:       at
Requires:       cronie
# It does really need the libgnome bindings
Requires:       python-gconf
Requires:       python-gnome
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Gnome-schedule is a graphical user interface that leverages the
power of vixie-cron, dcron and at to manage your crontab file and
provide an easy way to schedule tasks on your computer. It supports
recurrent (periodical) tasks and tasks that happen only once in the
future.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
# We need to specify where crontab lives, as configure can't find
# it due to the security restrictions: crontab is a suid app,
# executable by root and trusted group.
%configure \
        --disable-scrollkeeper          \
        CRONTAB_CONFIG=/usr/bin/crontab \
        AT_CONFIG=/usr/bin/at           \
        ATQ_CONFIG=/usr/bin/atq         \
        ATRM_CONFIG=/usr/bin/atrm
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file %{name} Utility X-SuSE-DesktopUtility
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}%{_datadir}/%{name}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir %{_datadir}/gnome/help/%{name}
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf
%dir %{_datadir}/omf/%{name}
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/%{name}
%{_bindir}/gnome-schedule-export
%{_bindir}/gnome-schedule-import
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}/

%files lang -f %{name}.lang

%changelog
* Tue Jun 21 2016 zaitor@opensuse.org
- Update to version 2.3.0:
  + Bugfixes.
  + Remove gnome-python dependency.
- Following upstream changes: Drop pkgconfig(gnome-python-2.0)
  BuildRequires.
- Add python-gconf BuildRequires: Pulled in by gnome-python-2.0
  before.
* Tue Nov 26 2013 dimstar@opensuse.org
- Update to version 2.2.2:
  + Updated translations.
* Sat Sep 21 2013 zaitor@opensuse.org
- Add rarian-scrollkeeper-compat BuildRequires, due to
  gnome-doc-utils no longer pulling in scrollkeeper. Configure
  explicitly checks for scrollkeeper.
- Own %%{_datadir}/omf because of the above change.
* Sat May 11 2013 zaitor@opensuse.org
- Update to version 2.2.1:
  + Misc bugfixes.
  + Updated translations.
- Drop gnome-schedule-distcheck.patch, fixed upstream.
* Fri Mar  1 2013 sbrabec@suse.cz
- Add gnome-schedule-distcheck.patch: Fix make distcheck
  (bgo#694947).
- Added support for translation-update-upstream.
* Mon Nov 28 2011 dimstar@opensuse.org
- Package translated help files only in the -lang package (only
  keep C-lang package in main package).
* Fri Nov 25 2011 dimstar@opensuse.org
- Update to version 2.2.0:
  + Minor fixes
  + Updated translations.
* Tue Oct 11 2011 vuntz@opensuse.org
- Add missing calls to %%desktop_database_post(un) in %%post/%%postun.
* Tue Sep 27 2011 vuntz@opensuse.org
- Update to version 2.1.5:
  + Updated translations.
- Changes from version 2.1.4:
  + Disable applet build by default
  + Export and import scripts for scheduled tasks
  + Dump at tasks as well in dump.py
  + Updated translations.
- Cleanup for inclusion in Factory.
* Wed Feb 23 2011 dimstar@opensuse.org
- Initial package, version 2.1.3. Feature 310178.
